Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Handshake_Message Class Referenceabstract

`#include <tls_handshake_msg.h>`

Inheritance diagram for Botan::TLS::Handshake_Message:

## Public Member Functions
virtual std::vector< uint8_t > | serialize () const =0
virtual Handshake_Type | type () const =0
std::string | type_string () const
virtual | ~Handshake_Message ()

## Detailed Description

TLS Handshake Message Base Class

Definition at line 26 of file tls_handshake_msg.h.

## Constructor & Destructor Documentation

virtual Botan::TLS::Handshake_Message::~Handshake_Message | ( |  | ) |
| inline virtual

Definition at line 44 of file tls_handshake_msg.h.

44 {}

## Member Function Documentation

virtual std::vector<uint8_t> Botan::TLS::Handshake_Message::serialize | ( |  | ) | const
| pure virtual

Returns
  DER representation of this message

Implemented in Botan::TLS::Change_Cipher_Spec, and Botan::TLS::Hello_Verify_Request.

Referenced by Botan::TLS::Stream_Handshake_IO::send(), and Botan::TLS::Datagram_Handshake_IO::send().

virtual Handshake_Type Botan::TLS::Handshake_Message::type | ( |  | ) | const
| pure virtual

Returns
  the message type

Implemented in Botan::TLS::Change_Cipher_Spec, Botan::TLS::New_Session_Ticket, Botan::TLS::Server_Hello_Done, Botan::TLS::Server_Key_Exchange, Botan::TLS::Hello_Request, Botan::TLS::Finished, Botan::TLS::Certificate_Verify, Botan::TLS::Certificate_Req, Botan::TLS::Certificate_Status, Botan::TLS::Certificate, Botan::TLS::Client_Key_Exchange, Botan::TLS::Server_Hello, Botan::TLS::Client_Hello, and Botan::TLS::Hello_Verify_Request.

Referenced by Botan::TLS::Stream_Handshake_IO::send(), Botan::TLS::Datagram_Handshake_IO::send(), and type_string().

std::string Botan::TLS::Handshake_Message::type_string | ( |  | ) | const

Returns
  string representation of this message type

Definition at line 17 of file tls_handshake_state.cpp.

References Botan::TLS::handshake_type_to_string(), and type().

18 {
19 return handshake_type_to_string(type());
20 }
Botan::TLS::Handshake_Message::type
virtual Handshake_Type type() const =0
Botan::TLS::handshake_type_to_string
const char * handshake_type_to_string(Handshake_Type type)
Definition: tls_handshake_state.cpp:22

The documentation for this class was generated from the following files:

- src/lib/tls/tls_handshake_msg.h
- src/lib/tls/tls_handshake_state.cpp